Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SysQueriesRow.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SysQueriesRow.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SysQueriesRowOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.SysQueriesRow`

public static final class ClientWireProtocol.SysQueriesRow.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder> implements ClientWireProtocol.SysQueriesRowOrBuilder
Protobuf type `xg.cmdcomp.SysQueriesRow`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SysQueriesRow`
`build()`
`ClientWireProtocol.SysQueriesRow`
`buildPartial()`
`ClientWireProtocol.SysQueriesRow.Builder`
`clear()`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearDatabase()`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEffectivePriority()`
`float effective_priority = 2;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearInitialPriority()`
`float initial_priority = 16;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearQueryId()`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearQueryServer()`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearRemoteIP()`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSentBytes()`
`int64 sent_bytes = 15;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSentRows()`
`int64 sent_rows = 14;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearServiceClass()`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSqlText()`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearStatus()`
`string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearUserid()`
`string userid = 4;`
`String`
`getDatabase()`
`string database = 9;`
`com.google.protobuf.ByteString`
`getDatabaseBytes()`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`float`
`getEffectivePriority()`
`float effective_priority = 2;`
`int`
`getElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`long`
`getEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`long`
`getEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`int`
`getEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`float`
`getInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`float`
`getInitialPriority()`
`float initial_priority = 16;`
`float`
`getPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`int`
`getPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`String`
`getQueryId()`
`string query_id = 1;`
`com.google.protobuf.ByteString`
`getQueryIdBytes()`
`string query_id = 1;`
`String`
`getQueryServer()`
`string query_server = 8;`
`com.google.protobuf.ByteString`
`getQueryServerBytes()`
`string query_server = 8;`
`String`
`getRemoteIP()`
`string remoteIP = 10;`
`com.google.protobuf.ByteString`
`getRemoteIPBytes()`
`string remoteIP = 10;`
`long`
`getSentBytes()`
`int64 sent_bytes = 15;`
`long`
`getSentRows()`
`int64 sent_rows = 14;`
`String`
`getServiceClass()`
`string service_class = 11;`
`com.google.protobuf.ByteString`
`getServiceClassBytes()`
`string service_class = 11;`
`String`
`getSqlText()`
`string sql_text = 5;`
`com.google.protobuf.ByteString`
`getSqlTextBytes()`
`string sql_text = 5;`
`String`
`getStatus()`
`string status = 7;`
`com.google.protobuf.ByteString`
`getStatusBytes()`
`string status = 7;`
`String`
`getUserid()`
`string userid = 4;`
`com.google.protobuf.ByteString`
`getUseridBytes()`
`string userid = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(ClientWireProtocol.SysQueriesRow other)`
`final ClientWireProtocol.SysQueriesRow.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.SysQueriesRow.Builder`
`setDatabase(String value)`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setDatabaseBytes(com.google.protobuf.ByteString value)`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEffectivePriority(float value)`
`float effective_priority = 2;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setElapsedTimeSec(int value)`
`int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedResultRows(long value)`
`int64 estimated_result_rows = 12;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedResultSize(long value)`
`int64 estimated_result_size = 13;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedTimeSec(int value)`
`int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setInitialEffectivePriority(float value)`
`float initial_effective_priority = 17;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setInitialPriority(float value)`
`float initial_priority = 16;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setPriorityAdjustFactor(float value)`
`float priority_adjust_factor = 18;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setPriorityAdjustTime(int value)`
`uint32 priority_adjust_time = 19;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryId(String value)`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryIdBytes(com.google.protobuf.ByteString value)`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryServer(String value)`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryServerBytes(com.google.protobuf.ByteString value)`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setRemoteIP(String value)`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setRemoteIPBytes(com.google.protobuf.ByteString value)`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSentBytes(long value)`
`int64 sent_bytes = 15;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSentRows(long value)`
`int64 sent_rows = 14;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setServiceClass(String value)`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setServiceClassBytes(com.google.protobuf.ByteString value)`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSqlText(String value)`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSqlTextBytes(com.google.protobuf.ByteString value)`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setStatus(String value)`
`string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setStatusBytes(com.google.protobuf.ByteString value)`
`string status = 7;`
`final ClientWireProtocol.SysQueriesRow.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.SysQueriesRow.Builder`
`setUserid(String value)`
`string userid = 4;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setUseridBytes(com.google.protobuf.ByteString value)`
`string userid = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### clear

public ClientWireProtocol.SysQueriesRow.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SysQueriesRow getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SysQueriesRow build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SysQueriesRow buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(ClientWireProtocol.SysQueriesRow other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`
Throws:
  `IOException`

### getQueryId

public String getQueryId()
`string query_id = 1;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public com.google.protobuf.ByteString getQueryIdBytes()
`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryId.

### setQueryId

public ClientWireProtocol.SysQueriesRow.Builder setQueryId(String value)
`string query_id = 1;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

### clearQueryId

public ClientWireProtocol.SysQueriesRow.Builder clearQueryId()
`string query_id = 1;`

Returns:
  This builder for chaining.

### setQueryIdBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryIdBytes(com.google.protobuf.ByteString value)
`string query_id = 1;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.

### getEffectivePriority

public float getEffectivePriority()
`float effective_priority = 2;`

Specified by:
  `getEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The effectivePriority.

### setEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder setEffectivePriority(float value)
`float effective_priority = 2;`

Parameters:
  `value` - The effectivePriority to set.
Returns:
  This builder for chaining.

### clearEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder clearEffectivePriority()
`float effective_priority = 2;`

Returns:
  This builder for chaining.

### getEstimatedTimeSec

public int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Specified by:
  `getEstimatedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedTimeSec.

### setEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedTimeSec(int value)
`int32 estimated_time_sec = 3;`

Parameters:
  `value` - The estimatedTimeSec to set.
Returns:
  This builder for chaining.

### clearEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Returns:
  This builder for chaining.

### getUserid

public String getUserid()
`string userid = 4;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The userid.

### getUseridBytes

public com.google.protobuf.ByteString getUseridBytes()
`string userid = 4;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for userid.

### setUserid

public ClientWireProtocol.SysQueriesRow.Builder setUserid(String value)
`string userid = 4;`

Parameters:
  `value` - The userid to set.
Returns:
  This builder for chaining.

### clearUserid

public ClientWireProtocol.SysQueriesRow.Builder clearUserid()
`string userid = 4;`

Returns:
  This builder for chaining.

### setUseridBytes

public ClientWireProtocol.SysQueriesRow.Builder setUseridBytes(com.google.protobuf.ByteString value)
`string userid = 4;`

Parameters:
  `value` - The bytes for userid to set.
Returns:
  This builder for chaining.

### getSqlText

public String getSqlText()
`string sql_text = 5;`

Specified by:
  `getSqlText` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sqlText.

### getSqlTextBytes

public com.google.protobuf.ByteString getSqlTextBytes()
`string sql_text = 5;`

Specified by:
  `getSqlTextBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for sqlText.

### setSqlText

public ClientWireProtocol.SysQueriesRow.Builder setSqlText(String value)
`string sql_text = 5;`

Parameters:
  `value` - The sqlText to set.
Returns:
  This builder for chaining.

### clearSqlText

public ClientWireProtocol.SysQueriesRow.Builder clearSqlText()
`string sql_text = 5;`

Returns:
  This builder for chaining.

### setSqlTextBytes

public ClientWireProtocol.SysQueriesRow.Builder setSqlTextBytes(com.google.protobuf.ByteString value)
`string sql_text = 5;`

Parameters:
  `value` - The bytes for sqlText to set.
Returns:
  This builder for chaining.

### getElapsedTimeSec

public int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Specified by:
  `getElapsedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The elapsedTimeSec.

### setElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setElapsedTimeSec(int value)
`int32 elapsed_time_sec = 6;`

Parameters:
  `value` - The elapsedTimeSec to set.
Returns:
  This builder for chaining.

### clearElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Returns:
  This builder for chaining.

### getStatus

public String getStatus()
`string status = 7;`

Specified by:
  `getStatus` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The status.

### getStatusBytes

public com.google.protobuf.ByteString getStatusBytes()
`string status = 7;`

Specified by:
  `getStatusBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for status.

### setStatus

public ClientWireProtocol.SysQueriesRow.Builder setStatus(String value)
`string status = 7;`

Parameters:
  `value` - The status to set.
Returns:
  This builder for chaining.

### clearStatus

public ClientWireProtocol.SysQueriesRow.Builder clearStatus()
`string status = 7;`

Returns:
  This builder for chaining.

### setStatusBytes

public ClientWireProtocol.SysQueriesRow.Builder setStatusBytes(com.google.protobuf.ByteString value)
`string status = 7;`

Parameters:
  `value` - The bytes for status to set.
Returns:
  This builder for chaining.

### getQueryServer

public String getQueryServer()
`string query_server = 8;`

Specified by:
  `getQueryServer` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryServer.

### getQueryServerBytes

public com.google.protobuf.ByteString getQueryServerBytes()
`string query_server = 8;`

Specified by:
  `getQueryServerBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryServer.

### setQueryServer

public ClientWireProtocol.SysQueriesRow.Builder setQueryServer(String value)
`string query_server = 8;`

Parameters:
  `value` - The queryServer to set.
Returns:
  This builder for chaining.

### clearQueryServer

public ClientWireProtocol.SysQueriesRow.Builder clearQueryServer()
`string query_server = 8;`

Returns:
  This builder for chaining.

### setQueryServerBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryServerBytes(com.google.protobuf.ByteString value)
`string query_server = 8;`

Parameters:
  `value` - The bytes for queryServer to set.
Returns:
  This builder for chaining.

### getDatabase

public String getDatabase()
`string database = 9;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 9;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for database.

### setDatabase

public ClientWireProtocol.SysQueriesRow.Builder setDatabase(String value)
`string database = 9;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

### clearDatabase

public ClientWireProtocol.SysQueriesRow.Builder clearDatabase()
`string database = 9;`

Returns:
  This builder for chaining.

### setDatabaseBytes

public ClientWireProtocol.SysQueriesRow.Builder setDatabaseBytes(com.google.protobuf.ByteString value)
`string database = 9;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

### getRemoteIP

public String getRemoteIP()
`string remoteIP = 10;`

Specified by:
  `getRemoteIP` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The remoteIP.

### getRemoteIPBytes

public com.google.protobuf.ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Specified by:
  `getRemoteIPBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for remoteIP.

### setRemoteIP

public ClientWireProtocol.SysQueriesRow.Builder setRemoteIP(String value)
`string remoteIP = 10;`

Parameters:
  `value` - The remoteIP to set.
Returns:
  This builder for chaining.

### clearRemoteIP

public ClientWireProtocol.SysQueriesRow.Builder clearRemoteIP()
`string remoteIP = 10;`

Returns:
  This builder for chaining.

### setRemoteIPBytes

public ClientWireProtocol.SysQueriesRow.Builder setRemoteIPBytes(com.google.protobuf.ByteString value)
`string remoteIP = 10;`

Parameters:
  `value` - The bytes for remoteIP to set.
Returns:
  This builder for chaining.

### getServiceClass

public String getServiceClass()
`string service_class = 11;`

Specified by:
  `getServiceClass` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The serviceClass.

### getServiceClassBytes

public com.google.protobuf.ByteString getServiceClassBytes()
`string service_class = 11;`

Specified by:
  `getServiceClassBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for serviceClass.

### setServiceClass

public ClientWireProtocol.SysQueriesRow.Builder setServiceClass(String value)
`string service_class = 11;`

Parameters:
  `value` - The serviceClass to set.
Returns:
  This builder for chaining.

### clearServiceClass

public ClientWireProtocol.SysQueriesRow.Builder clearServiceClass()
`string service_class = 11;`

Returns:
  This builder for chaining.

### setServiceClassBytes

public ClientWireProtocol.SysQueriesRow.Builder setServiceClassBytes(com.google.protobuf.ByteString value)
`string service_class = 11;`

Parameters:
  `value` - The bytes for serviceClass to set.
Returns:
  This builder for chaining.

### getEstimatedResultRows

public long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Specified by:
  `getEstimatedResultRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultRows.

### setEstimatedResultRows

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedResultRows(long value)
`int64 estimated_result_rows = 12;`

Parameters:
  `value` - The estimatedResultRows to set.
Returns:
  This builder for chaining.

### clearEstimatedResultRows

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Returns:
  This builder for chaining.

### getEstimatedResultSize

public long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Specified by:
  `getEstimatedResultSize` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultSize.

### setEstimatedResultSize

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedResultSize(long value)
`int64 estimated_result_size = 13;`

Parameters:
  `value` - The estimatedResultSize to set.
Returns:
  This builder for chaining.

### clearEstimatedResultSize

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedResultSize()
`int64 estimated_result_size = 13;`

Returns:
  This builder for chaining.

### getSentRows

public long getSentRows()
`int64 sent_rows = 14;`

Specified by:
  `getSentRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentRows.

### setSentRows

public ClientWireProtocol.SysQueriesRow.Builder setSentRows(long value)
`int64 sent_rows = 14;`

Parameters:
  `value` - The sentRows to set.
Returns:
  This builder for chaining.

### clearSentRows

public ClientWireProtocol.SysQueriesRow.Builder clearSentRows()
`int64 sent_rows = 14;`

Returns:
  This builder for chaining.

### getSentBytes

public long getSentBytes()
`int64 sent_bytes = 15;`

Specified by:
  `getSentBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentBytes.

### setSentBytes

public ClientWireProtocol.SysQueriesRow.Builder setSentBytes(long value)
`int64 sent_bytes = 15;`

Parameters:
  `value` - The sentBytes to set.
Returns:
  This builder for chaining.

### clearSentBytes

public ClientWireProtocol.SysQueriesRow.Builder clearSentBytes()
`int64 sent_bytes = 15;`

Returns:
  This builder for chaining.

### getInitialPriority

public float getInitialPriority()
`float initial_priority = 16;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialPriority.

### setInitialPriority

public ClientWireProtocol.SysQueriesRow.Builder setInitialPriority(float value)
`float initial_priority = 16;`

Parameters:
  `value` - The initialPriority to set.
Returns:
  This builder for chaining.

### clearInitialPriority

public ClientWireProtocol.SysQueriesRow.Builder clearInitialPriority()
`float initial_priority = 16;`

Returns:
  This builder for chaining.

### getInitialEffectivePriority

public float getInitialEffectivePriority()
`float initial_effective_priority = 17;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### setInitialEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder setInitialEffectivePriority(float value)
`float initial_effective_priority = 17;`

Parameters:
  `value` - The initialEffectivePriority to set.
Returns:
  This builder for chaining.

### clearInitialEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder clearInitialEffectivePriority()
`float initial_effective_priority = 17;`

Returns:
  This builder for chaining.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### setPriorityAdjustFactor

public ClientWireProtocol.SysQueriesRow.Builder setPriorityAdjustFactor(float value)
`float priority_adjust_factor = 18;`

Parameters:
  `value` - The priorityAdjustFactor to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustFactor

public ClientWireProtocol.SysQueriesRow.Builder clearPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Returns:
  This builder for chaining.

### getPriorityAdjustTime

public int getPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### setPriorityAdjustTime

public ClientWireProtocol.SysQueriesRow.Builder setPriorityAdjustTime(int value)
`uint32 priority_adjust_time = 19;`

Parameters:
  `value` - The priorityAdjustTime to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustTime

public ClientWireProtocol.SysQueriesRow.Builder clearPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`